package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.jasamedika.medifirst2000.dao.custom.base.impl.CoreDaoImpl;
import com.jasamedika.medifirst2000.entities.StrukKirim;

/**
 * Repository Custom class
 * 
 * @author Adik
 * @param <T>
 */
@Repository
public class StrukKirimDaoCustomImpl extends CoreDaoImpl<StrukKirim> implements StrukKirimDaoCustom {

	public StrukKirimDaoCustomImpl() {
		super(StrukKirim.class);
	}

	@Override
	public int findStrukKirimCount(String sort, String dateStart, String dateEnd) {
		return 0;
	}

	@Override
	public List<Map<String, Object>> findStrukKirimList(int rowStart, int rowEnd, String sort, String dir,String dateStart, String dateEnd) {
		return null;
	}

	

}
